//
// Copyright (c) Microsoft Corporation.  All rights reserved.
//
//
// Use of this source code is subject to the terms of the Microsoft end-user
// license agreement (EULA) under which you licensed this SOFTWARE PRODUCT.
// If you did not accept the terms of the EULA, you are not authorized to use
// this source code. For a copy of the EULA, please see the LICENSE.RTF on your
// install media.
//
// Copyright (c) Samsung Electronics. Co. LTD. All rights reserved.

/*++

THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY OF
ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO
THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
PARTICULAR PURPOSE.

Module Name:

LED.h

Abstract:

   Low Level HW Block LED interface

Functions:



Notes:

--*/

//#ifndef _S5PV210_LED_H_
//#define _S5PV210_LED_H_

//DWORD LED_Init(DWORD dwContext)£»

#define IOCTL_LED_SET_ON   0x56565656   //for test


#if 0



DWORD LED_Init(DWORD dwContext);


BOOL  LED_Deinit(PDWORD pContext);
DWORD LED_Init(DWORD dwContext);
DWORD LED_Open(DWORD pContext, DWORD dwAccess, DWORD dwShareMode);
BOOL  LED_Close(DWORD pContext);
DWORD LED_Read (DWORD pContext,  LPVOID pBuf, DWORD Len);
DWORD LED_Write(DWORD pContext, LPCVOID pBuf, DWORD Len);
DWORD LED_Seek (DWORD pContext, long pos, DWORD type);
BOOL  LED_PowerUp(DWORD pContext);
BOOL  LED_PowerDown(DWORD pContext);
BOOL  LED_IOControl(DWORD pContext, DWORD dwCode, PBYTE pBufIn, DWORD dwLenIn, PBYTE pBufOut, DWORD dwLenOut, PDWORD pdwActualOut);
#endif

//#endif    // _S5PV210_LED_H_

